@font-face {
	font-family: IndieFlower;
	src: url('../images/IndieFlower-Regular.ttf');
}
@font-face {
	font-family: HeyComic;
	src: url('../images/HeyComic.otf');
}






/* *** REGUŁY OGÓLNE *** */
/***************************************************************************************************/

*::selection { background: transparent; color: inherit; }

html {
	min-height: 100vh; font-size: 16px; background-color: #5a5a5a; color: #ddd;
	background-size: cover; background-position: center center; background-repeat: no-repeat; background-attachment: fixed;
}

body { font-family: IndieFlower; font-size: 1rem; margin: 0; }

a { color: #fff; text-decoration: none; }

h1, h2, h3, h4, h5, h6 { margin: 0; }

.container { width: 100%; max-width: 1600px; margin: 0 auto; }

h1, h2, h3, h4, h5, h6, p, a { filter: blur(0.666px); }

.sppb-addon-title, .sppb-btn, h2, h3 { font-size: 1.66rem; }


.sppb-btn,  .sppb-btn:hover,  .sppb-btn:active,  .sppb-btn:focus {
	display: inline-block; position: relative;
	color: #ddd; background-color: transparent; border: 0; outline: 0; box-shadow: none;
	filter: blur(0.75px); animation: text-blinking 3.33s infinite ease;
	cursor: pointer;
}

/* *** SEKCJE *** */
/***************************************************************************************************/

#mobile-767-access-blocker, #toggle-menu { display: none; }

#backgrounds { width: 100vw; height: 100vh; position: fixed; top: 0; left: 0; }
#backgrounds div { width: 100%; height: 100%; display: block; }
#backgrounds .vignette {
	background-image: radial-gradient(rgba(0,0,0,0.15) 20%, rgba(0,0,0,0.33) 60%, rgba(0,0,0,0.75) 90%, rgba(0,0,0,0.8) 100%);
	position: absolute; top: 0; left: 0; z-index: 40;
}
#backgrounds .parts {}
#backgrounds .parts .part { position: relative; background-repeat: no-repeat; }

#central-content { display: flex; position: relative; z-index: 50; }

#left-column { width: 400px; padding: 15px; font-size: 1.25rem; }
#left-column ul { list-style: none; margin: 40px 0 0 0; padding: 0; }
#left-column ul li {  }
#left-column ul li a { color: rgba(255,255,255,0.66); display: inline-block; padding-bottom: 15px; filter: blur(2.5px); transition: 1.37s;
	text-shadow: 5px 3px 3px rgba(255,255,255,0.66), -3px -4px 3px rgba(255,255,255,0.3), -6px 4px 3px rgba(255,255,255,0.22);
}
#left-column ul li a:hover { filter: blur(0.5px); }
#left-column ul li a.hover { filter: blur(1px); }

#main-content { width: calc(100% - 400px); padding-right: 200px; }
@media (max-width: 1299px) {
	#main-content { padding-right: 15px; }
}
@media (max-width: 767.766px) {
	#mobile-767-access-blocker { width: 100vw; height: 100vh; display: block; position: absolute; top: 0; left: 0; z-index: 1000; }
	
	#toggle-menu {
		width: 40px; height: 42px;
		display: flex; flex-wrap: wrap; align-items: center; justify-content: center;
		position: absolute; top: 12px; left: 12px;
		background: transparent; padding: 0; margin: 0; border: 0;
		cursor: pointer; /*overflow: hidden;*/ z-index: 2137;
	}
	#toggle-menu span { width: 100%; height: 5px; filter: blur(0.88px); }
	#toggle-menu span:nth-child(1) {
		background-image: linear-gradient(
			to right,
			rgba(255,255,255,0.33) 0px, rgba(255,255,255,0.33) 20px,
			transparent 21px, transparent 23px,
			rgba(255,255,255,0.33) 24px, rgba(255,255,255,0.33) 28px,
			transparent 29px, transparent 31px,
			rgba(255,255,255,0.33) 32px, rgba(255,255,255,0.33) 40px
		);
		animation: bg-to-left 4s linear infinite;
	}
	#toggle-menu span:nth-child(2) {
		background-image: linear-gradient(
				to right,
				rgba(255,255,255,0.33) 0px, rgba(255,255,255,0.33) 8px,
				transparent 9px, transparent 11px,
				rgba(255,255,255,0.33) 12px, rgba(255,255,255,0.33) 29px,
				transparent 30px, transparent 32px,
				rgba(255,255,255,0.33) 33px, rgba(255,255,255,0.33) 40px
			);
		animation: bg-to-right 4s linear infinite; 
	}
	#toggle-menu span:nth-child(3) {
		background-image: linear-gradient(
			to right,
			rgba(255,255,255,0.33) 0px, rgba(255,255,255,0.33) 10px,
			transparent 11px, transparent 13px,
			rgba(255,255,255,0.33) 14px, rgba(255,255,255,0.33) 17px,
			transparent 18px, transparent 20px,
			rgba(255,255,255,0.33) 21px, rgba(255,255,255,0.33) 24px,
			transparent 25px, transparent 27px,
			rgba(255,255,255,0.33) 28px, rgba(255,255,255,0.33) 31px,
			transparent 32px, transparent 34px,
			rgba(255,255,255,0.33) 35px, rgba(255,255,255,0.33) 40px
		);
		animation: bg-to-left 4s linear infinite;
	}
	@keyframes bg-to-left {
		0% { background-position: 0; }
		100% { background-position: -40px; }
	}
	@keyframes bg-to-right {
		0% { background-position: 0; }
		100% { background-position: 40px; }
	}
	
	#central-content { flex-wrap: wrap; position: relative; }
	
	#left-column, #main-content { width: 100%; position: absolute; top: 0; left: 0; transition: 1.66s; opacity: 0; z-index: 0; }
	#left-column.active, #main-content.active { opacity: 1; z-index: 1234; }
	
	#left-column { }
	#left-column h3 { width: 150px; display: inline-block; }
	#left-column h3, #left-column h3 span { left: calc(50% - 75px); }
	#left-column ul li { text-align: center; }
	
	#main-content { padding-right: 0; }
}

/* *** PODSEKCJE - strona główna *** */
/***************************************************************************************************/

.h-top { position: relative; background: #000; z-index: 200; }
.h-top ul { width: 100%; max-width: 900px; list-style: none; padding: 0; margin: 0 auto; display: flex; justify-content: center; }
.h-top ul li { padding: 2px 6px; font-size: 14px; }

.ostatnio-wysnione.najnowszy-sen .sppb-addon-title { margin: 0 0 30px 0; }
.ostatnio-wysnione .sppb-addon-title { margin: 0 0 10px 0; }
.ostatnio-wysnione .sppb-addon-content { margin: 0 0 30px 0; }

.ostatnio-wysnione .sppb-addon-article { padding: 25px; margin: 0 0 15px 0; position: relative; filter: blur(2.2px); transition: 2s; z-index: 3; }
.ostatnio-wysnione .sppb-addon-article:before {
	content: ''; display: block;
	position: absolute; top: 0; left: 0; bottom: 0; right: 0;
	background-color: rgba(255,255,255,0.33);
	filter: blur(6.66px); opacity: 0.25; transition: 1.11s; z-index: 1;
}
.ostatnio-wysnione .sppb-article-info-wrap { position: relative; }
.ostatnio-wysnione .sppb-article-info-wrap:before {
	content: ''; display: block;
	position: absolute; top: -10px; left: -10px; bottom: -10px; right: -10px;
	background-image: url('/images/dziennik-snow/layout/blobs-bg-01.png'); background-size: 750px;
	filter: blur(6.66px); opacity: 0.333; transform: scale(1); transition: 5s; z-index: 1;
}
.ostatnio-wysnione .sppb-article-info-wrap:after {
	content: ''; display: block;
	position: absolute; top: -10px; left: -10px; bottom: -10px; right: -10px;
	background-image: url('/images/dziennik-snow/layout/blobs-bg-02.png'); background-size: 750px;
	filter: blur(0); opacity: 0.25; transition: 5s; z-index: 1;
}
.ostatnio-wysnione .sppb-addon-article:hover { filter: blur(0.5px); }
.ostatnio-wysnione .sppb-addon-article:hover .sppb-article-info-wrap:before { filter: blur(4px); transform: scale(1.066); opacity: 0.12; transition: 2.2s; }
.ostatnio-wysnione .sppb-addon-article:hover .sppb-article-info-wrap:after { filter: blur(6px); opacity: 0; transition: 2.2s; }
.ostatnio-wysnione:not(.najnowszy-sen) .sppb-row > div:first-child { display: none; }

@media (max-width: 1299px) {
	.ostatnio-wysnione .sppb-row > div { flex: 0 0 100%; max-width: 100%; }
}



.okultystyczne-okregi { padding: 0 0 20px 0; }
.okultystyczne-okregi .sppb-row { justify-content: space-between; padding: 0 10px; }
.okultystyczne-okregi .oo-img-wrapper { width: 200px; max-width: calc(25% - 15px); }
.okultystyczne-okregi .oo-img-wrapper img { width: 100%; position: relative; }
.okultystyczne-okregi .oo-img-wrapper:nth-child(1) img { animation: oo-rotate-ccw linear infinite 80s, oo-blinking linear infinite 10s; }
.okultystyczne-okregi .oo-img-wrapper:nth-child(2) img { animation: oo-shivering-solo ease infinite 3s, oo-blinking linear infinite 1s; }
.okultystyczne-okregi .oo-img-wrapper:nth-child(3) img { animation: oo-rotate-cw linear infinite 100s, oo-blinking linear infinite 1.6s; }
.okultystyczne-okregi .oo-img-wrapper:nth-child(4) img { animation: oo-pulsating ease infinite 1.6s, oo-blinking linear infinite 1.6s; }

@keyframes oo-rotate-ccw {
	0% { transform: rotate(0deg) scale(1); }
	6% { transform: rotate(-22.5deg) scale(1.088); }
	13% { transform: rotate(-45deg) scale(1); }
	19% { transform: rotate(-67.5deg) scale(1.088); }
	25% { transform: rotate(-90deg) scale(1); }
	31% { transform: rotate(-112.5deg) scale(1.088); }
	38% { transform: rotate(-135deg) scale(1); }
	42% { transform: rotate(-157.5deg) scale(1.088); }
	50% { transform: rotate(-180deg) scale(1); }
	56% { transform: rotate(-202.5deg) scale(1.088); }
	63% { transform: rotate(-225deg) scale(1); }
	69% { transform: rotate(-247.5deg) scale(1.088); }
	75% { transform: rotate(-270deg) scale(1); }
	81% { transform: rotate(-292.5deg) scale(1.088); }
	88% { transform: rotate(-315deg) scale(1); }
	94% { transform: rotate(-337.5deg) scale(1.088); }
	100% { transform: rotate(-359deg) scale(1); }
}
@keyframes oo-rotate-cw {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(359deg); }
}

@keyframes oo-shivering-solo {
	0% { top: 0; left: 0; }
	20% { top: -6px; left: -6px; }
	32% { top: 3px; left: -4px; }
	60% { top: -4px; left: 5px; }
	88% { top: -6px; left: -2px; }
	100% { top: 0; left: 0; }
}

@keyframes oo-pulsating {
	0% { transform: scale(1); }
	7% { transform: scale(1.082); }
	22% { transform: scale(1.05); }
	28% { transform: scale(1.066); }
	50% { transform: scale(1); }
	100% { transform: scale(1); }
}

@keyframes oo-blinking {
	0% { filter: blur(0.66px); }
	50% { filter: blur(2px); }
	100% { filter: blur(0.66px); }
}

.bottom-slider-wrapper .sppb-addon-wrapper:nth-child(2) { width: 100%; height: 100%; position: absolute!important; top: 0; left: 0; }
.bottom-slider-wrapper .bottom-slider { position: relative; }
	.bottom-slider > div[class*="title"] { position: absolute; filter: blur(1px); }
	.bottom-slider > div[class*="title-0"] { font-size: max(2.2vw, 20px); }
	.bottom-slider .title-01 { top: max(0.6vw, 12px); animation: bs-title-01 linear 11s infinite; }
	.bottom-slider .title-02 { width: 200px; text-align: center; top: max(1vw, 20px); left: calc(50% - 100px); animation: bs-title-02 ease 11s infinite; }
	.bottom-slider .title-03 { width: 200px; text-align: center; left: calc(50% - 100px); animation: bs-title-03 linear 11s infinite; }
	.bottom-slider .title-main { width: 100%; text-align: center; top: 6vw; font-size: max(2.6vw, 22px); animation: bs-title-main ease 11s infinite; }
	.bottom-slider .title-main span { background: rgba(255,255,255,0.6); color: #222; padding: 0 2vw; border-radius: 8px; }
	
	@keyframes bs-title-01 {
		0% { left: 80%; filter: blur(4px); opacity: 0; }
		25% { opacity: 1; }
		45% { filter: blur(1px); }
		65% { opacity: 1; }
		90% { left: 12%; filter: blur(4px); opacity: 0; }
		100% { left: 80%; opacity: 0; }
	}
	@keyframes bs-title-02 {
		0% { opacity: 0; }
		44% { opacity: 0; }
		46% { opacity: 1; }
		72% { opacity: 1; }
		82% { opacity: 0; }
		100% { opacity: 0; }
	}
	@keyframes bs-title-03 {
		0% { opacity: 0; }
		44% { top: max(2vw, 26px); opacity: 0; }
		52% { opacity: 1; }
		60% { opacity: 1; }
		70% { opacity: 0; }
		92% { top: max(10vw, 52px); }
		100% { opacity: 0; }
	}
	@keyframes bs-title-main {
		0% { opacity: 0; }
		64% { opacity: 0; }
		80% { opacity: 1; }
		90% { opacity: 1; }
		100% { opacity: 0; }
	}

/* *** ANIMACJE TEKSTU *** */
/***************************************************************************************************/

@keyframes text-blinking {
	0% { opacity: 0.5503; }
	50% { opacity: 0.82107; }
	100% { opacity: 0.5503; }
}
@keyframes text-shivering-big {
	0% { text-shadow: -8px 4px 2px rgba(170, 51, 51, 0.52); }
	25% { text-shadow: -4px 6px 2px rgba(221, 150, 51, 0.52); }
	50% { text-shadow: -6px 10px 2px rgba(170, 51, 51, 0.4); }
	75% { text-shadow: -10px 5px 2px rgba(221, 150, 51, 0.3); }
	99% { text-shadow: -8px 4px 2px rgba(170, 51, 51, 0.4); }
	100% { text-shadow: -8px 4px 2px rgba(170, 51, 51, 0.52); }
}
@keyframes text-shivering-small {
	0% { text-shadow: -1px -1px 1px rgba(255, 255, 255, 0.25); }
	12% { text-shadow: 0 0 1px rgba(255, 255, 255, 0.1); }
	25% { text-shadow: -1px 1px 1px rgba(255, 255, 255, 0.25); }
	37% { text-shadow: 0 0 1px rgba(255, 255, 255, 0.1); }
	50% { text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.25); }
	62% { text-shadow: 0 0 1px rgba(255, 255, 255, 0.1); }
	75% { text-shadow: -1px 1px 1px rgba(255, 255, 255, 0.25); }
	87% { text-shadow: 0 0 1px rgba(255, 255, 255, 0.1); }
	100% { text-shadow: -1px -1px 1px rgba(255, 255, 255, 0.25); }
}
@keyframes text-cast-reflection-bottom-right {
	0% { text-shadow: 1px 1px 0 rgba(73, 155, 214, 0.6); }
	100% { text-shadow: 21px 14px 4px rgba(73, 155, 214, 0.03); }
}
@keyframes text-cast-reflection-right {
	0% { text-shadow: 1px 1px 0 rgba(73, 155, 214, 0.6); }
	100% { text-shadow: 28px 3px 4px rgba(73, 155, 214, 0.03); }
}
@keyframes text-cast-reflection-top-right {
	0% { text-shadow: 1px 1px 0 rgba(73, 155, 214, 0.6); }
	100% { text-shadow: 21px -14px 4px rgba(73, 155, 214, 0.03); }
}

.anim { position: absolute; top: 0; left: 0; color: transparent; }
.anim.shivering-big { animation: text-shivering-big 2s infinite linear; }
.anim.shivering-small { animation: text-shivering-small 1.2s infinite linear; }
.anim.cast-reflection-bottom-right { animation: text-cast-reflection-bottom-right 2s infinite ease; }
.anim.cast-reflection-right { animation: text-cast-reflection-right 2s 0.75s infinite ease; }
.anim.cast-reflection-top-right { animation: text-cast-reflection-top-right 2s 1.66s infinite ease; }


#left-column h3 { display: inline-block; filter: blur(0.75px); position: relative; animation: text-blinking 3.33s infinite ease; cursor: pointer; }
body.itemid-113 .sppb-addon-title { animation: text-blinking 3.33s infinite ease; }